> ## Documentation Index
> Fetch the complete documentation index at: https://phidatainc-studio-tools-doc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Schedule



## OpenAPI

````yaml patch /schedules/{schedule_id}
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.5.6
servers: []
security: []
paths:
  /schedules/{schedule_id}:
    patch:
      tags:
        - Schedules
      summary: Update Schedule
      operationId: update_schedule_schedules__schedule_id__patch
      parameters:
        - name: schedule_id
          in: path
          required: true
          schema:
            type: string
            title: Schedule Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScheduleUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScheduleUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Name
        cron_expr:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Cron Expr
        endpoint:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Endpoint
        method:
          anyOf:
            - type: string
              maxLength: 10
            - type: 'null'
          title: Method
        description:
          anyOf:
            - type: string
              maxLength: 1024
            - type: 'null'
          title: Description
        payload:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payload
        timezone:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Timezone
        timeout_seconds:
          anyOf:
            - type: integer
              maximum: 86400
              minimum: 1
            - type: 'null'
          title: Timeout Seconds
        max_retries:
          anyOf:
            - type: integer
              maximum: 10
              minimum: 0
            - type: 'null'
          title: Max Retries
        retry_delay_seconds:
          anyOf:
            - type: integer
              maximum: 3600
              minimum: 1
            - type: 'null'
          title: Retry Delay Seconds
      type: object
      title: ScheduleUpdate
    ScheduleResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        method:
          type: string
          title: Method
        endpoint:
          type: string
          title: Endpoint
        payload:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Payload
        cron_expr:
          type: string
          title: Cron Expr
        timezone:
          type: string
          title: Timezone
        timeout_seconds:
          type: integer
          title: Timeout Seconds
        max_retries:
          type: integer
          title: Max Retries
        retry_delay_seconds:
          type: integer
          title: Retry Delay Seconds
        enabled:
          type: boolean
          title: Enabled
        next_run_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Run At
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
        - method
        - endpoint
        - cron_expr
        - timezone
        - timeout_seconds
        - max_retries
        - retry_delay_seconds
        - enabled
      title: ScheduleResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````